lastnade = 0
	
	function onInit( )
		_SWEPSetSound( MyIndex, "single_shot", "Weapon_Frag.Single" )
	end

	function onThink( )
		-- nil
	end
		
	function onPrimaryAttack( )
		if ( _PlayerInfo( Owner, "alive" ) == false ) then return end
		_TraceLine(_PlayerGetShootPos(Owner), _PlayerGetShootAng(Owner), 1000, Owner)
		_TraceLine(_TraceEndPos(), vector3(0,0,1), 1000, _TraceGetEnt())
		local model = "models/props_vehicles/car00"..math.random(2,5).."b.mdl"
		_EntPrecacheModel(model)
		local ent = _EntCreate("prop_physics")
		if ent > 0 then
			_EntSetPos(ent, vecAdd(_TraceEndPos(), vector3(0,0,-100)))
			_EntSetModel(ent, model)
			_EntSpawn(ent)
			_phys.ApplyForceCenter(ent, vector3(math.random(-190000, 190000),math.random(-190000, 190000), 10000))
			_EntitySetPhysicsAttacker(ent, Owner)
			_EntFire(ent, "kill", "", 6)
		end
	end
	
	
	function onSecondaryAttack( )

	end
	
	
	function onReload( )
		return true;
	end

	function getWeaponSwapHands()
		return false;	
	end
	
	function getWeaponFOV()
		return 60;	
	end
	
	function getWeaponSlot()
		return 4;
	end
	
	function getWeaponSlotPos()
		return 3;	
	end
	
	function getFiresUnderwater()
		return false;
	end
	
	function getReloadsSingly()
		return false;
	end
	
	function getDamage()
		return 5;
	end
	
	function getPrimaryShotDelay()
		return 1.5
	end
	
	function getSecondaryShotDelay()
		return 400;
	end
	
	function getPrimaryIsAutomatic()
		return false;
	end
	
	function getSecondaryIsAutomatic()
		return false;
	end
	
	function getBulletSpread()
		return vector3( 0.00, 0.00, 0.00 );
	end
	
	function getViewKick()
		return vector3( 0.0, 0.0, 0.0);
	end
	
	function getViewKickRandom()
		return vector3( 0.0, 0.0, 0.0 );
	end

	function getViewModel( )
		return "models/weapons/v_shotgun.mdl";
	end
	
	function getWorldModel( )
		return "models/weapons/w_shotgun.mdl";
	end
	
	function getClassName()
		return "weapon_energygrenade";
	end

	function getPrimaryAmmoType()
		return "Grenade";
	end
		
	function getSecondaryAmmoType()
		return;
	end
	
	-- return -1 if it doesn't use clips
	function getMaxClipPrimary()
		return 1;
	end
	
	function getMaxClipSecondary()
		return -1;
	end
	
	-- ammo in gun by default
	function getDefClipPrimary()
		return 1;
	end
	
	function getDefClipSecondary()
		return -1;
	end

	-- pistol, smg, ar2, shotgun, rpg, phys, crossbow, melee, slam, grenade
	function getAnimPrefix()
		return "melee"
	end

	function getPrintName()
		return "Energy Grenade"
	end

	function getPrimaryScriptOverride()
		return 1
	end

	function getSecondaryScriptOverride()
		return 3
	end
	
	function getBulletSpreadSecondary()
		return vector3( 0.0, 0.0, 0.0 )
	end
	
	function getViewKickSecondary()
		return vector3( 0.0, 0.0, 0.0)
	end
	
	function getViewKickRandomSecondary()
		return vector3( 0.0, 0.0, 0.0 )
	end

	function getDeathIcon( )
		return "d_pwn"
	end
